let rec f (x:int) : int =
  if x=0 then 1 else
    if x=1 then 1 else
      let f0 = f (x-2) in
        let f1 = f (x-1) in
          f0 + f1

let rec g (n:int) : unit =
  let f0 = f n in
    print_int f0;
    print_newline ();
    if f0>42 then () else g (n+1)


let () = g 0
